from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XTitleChangeBroadcaster(XInterface, Protocol):
    def addTitleChangeListener(self, xListener: XTitleChangeListener) -> None: ...
    def removeTitleChangeListener(self, xListener: XTitleChangeListener) -> None: ...
